PATCH/projects/api/v3/containers/{id}.json
Update an existing container.
Updates an existing container with new properties. The container will be validated against permission rules before update.
Path Params
- Name
id- Type
- integer
- required
- Description
Body Params
Request contains information of a container to be created or updated.
- Name
container- Type
- object
- Description
- Container contains all the information returned from a container.
Responses
- Code
- 200
- Type
- object
- Schema
- Description
- 200 OK
Response contains information about a specific container.
- Code
- 400
- Type
- object
- Schema
- Description
- 400 Bad Request
ErrorResponse defines how []Error should be marshaled to JSON.
- Code
- 403
- Type
- object
- Schema
- Description
- 403 Forbidden
ErrorResponse defines how []Error should be marshaled to JSON.
- Code
- 404
- Description
- 404 Not Found No Data
- Code
- 409
- Type
- object
- Schema
- Description
- 409 Conflict
ErrorResponse defines how []Error should be marshaled to JSON.
200 OK
Response
{
"container": {
"appRoute": "string",
"createdAt": "string",
"createdByUser": 0,
"description": "string",
"id": 0,
"isVisible": true,
"name": "string",
"ownerId": 0,
"type": "string",
"updatedAt": "string",
"updatedByUser": 0,
"widgets": [
{
"config": "string",
"createdAt": "string",
"createdByUser": 0,
"description": "string",
"height": 0,
"id": 0,
"name": "string",
"posX": 0,
"poxY": 0,
"type": "string",
"updatedAt": "string",
"updatedByUser": 0,
"width": 0
}
]
}
}